Showing security group details
GET /v2.0/security-groups/{security_group_id}
Shows the details of a security group with the specified ID.
Source: https://docs.openstack.org/api-ref/network/v2/index.html#show-security-group
Request
Parameters
| Name | In | Type | Description |
|---|---|---|---|
security_group_id
|
path | string | The ID of the security group. |
verbose (Optional) |
query | boolean | Show detailed information. |
fields (Optional) |
query | string | The fields that you want the server to return. If no fields query parameter is specified, the networking API returns all attributes allowed by the policy settings. By using the fields parameter, the API returns only the requested set of attributes. The fields parameter can be specified multiple times. For example, if you specify fields=id&fields=name in the request URL, only the id and name attributes will be returned. |
Example
# curl -ks -H 'Content-Type: application/json' -H 'X-Auth-Token: gAAAAA<...>' \ https://<node_IP_addr>:9696/v2.0/security-groups/e7489f02-f846-46f2-9edf-cc5a2640041a
Response
Parameters
| Name | In | Type | Description |
|---|---|---|---|
security_group
|
body | object | A security_group object. |
id
|
body | string | The ID of the security group. |
tenant_id
|
body | string | The ID of the project. |
project_id
|
body | string | The ID of the project. |
created_at
|
body | string |
Time at which the resource has been created. The date and time stamp format is ISO 8601: CCYY-MM-DDThh:mm:ss±hh:mm For example, The |
updated_at |
body | string |
Time at which the resource has been updated. If the resource has
not been updated, this field will be The date and time stamp format is ISO 8601: CCYY-MM-DDThh:mm:ss±hh:mm For example, The |
revision_number
|
body | integer | The revision number of the resource. |
name
|
body | string | Human-readable name of the resource. |
description
|
body | string | A human-readable description for the resource. |
security_group_rules
|
body | array | A list of security_group_rule objects. For details, refer to Listing security group rules. |
stateful (Optional) |
body | boolean | Indicates if the security group is stateful or stateless. |
shared
|
body | boolean | Indicates whether this security group is shared to the requestor's project. |
tags
|
body | array | The list of tags on the resource. |
Status codes
Success
| Code | Reason |
|---|---|
200 - OK
|
Request was successful. |
Error
| Code | Reason |
|---|---|
401 - Unauthorized
|
User must authenticate before making a request. |
404 - Not Found
|
The requested resource could not be found. |
Example
{
"security_group": {
"id": "e7489f02-f846-46f2-9edf-cc5a2640041a",
"name": "new-group",
"stateful": true,
"tenant_id": "39bbb405942f4fba80bb75e3db78e714",
"description": "New security group",
"security_group_rules": [
{
"id": "06e821e8-d0dd-491b-b156-bf92aee42299",
"tenant_id": "39bbb405942f4fba80bb75e3db78e714",
"security_group_id": "e7489f02-f846-46f2-9edf-cc5a2640041a",
"ethertype": "IPv6",
"direction": "egress",
"protocol": null,
"port_range_min": null,
"port_range_max": null,
"remote_ip_prefix": null,
"remote_address_group_id": null,
"normalized_cidr": null,
"remote_group_id": null,
"standard_attr_id": 45,
"description": null,
"tags": [],
"created_at": "2025-04-11T12:40:37Z",
"updated_at": "2025-04-11T12:40:37Z",
"revision_number": 0,
"project_id": "39bbb405942f4fba80bb75e3db78e714"
},
{
"id": "5515352c-fa36-4ecd-9a82-a1cfc7421db7",
"tenant_id": "39bbb405942f4fba80bb75e3db78e714",
"security_group_id": "e7489f02-f846-46f2-9edf-cc5a2640041a",
"ethertype": "IPv4",
"direction": "egress",
"protocol": null,
"port_range_min": null,
"port_range_max": null,
"remote_ip_prefix": null,
"remote_address_group_id": null,
"normalized_cidr": null,
"remote_group_id": null,
"standard_attr_id": 44,
"description": null,
"tags": [],
"created_at": "2025-04-11T12:40:37Z",
"updated_at": "2025-04-11T12:40:37Z",
"revision_number": 0,
"project_id": "39bbb405942f4fba80bb75e3db78e714"
}
],
"tags": [],
"created_at": "2025-04-11T12:40:37Z",
"updated_at": "2025-04-11T12:40:37Z",
"revision_number": 1,
"project_id": "39bbb405942f4fba80bb75e3db78e714"
}
}